package net.vtstar.zhongtong.avi.gateway.painting.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.scada.base.gather.domain.EquipmentData;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

@Data
@ApiModel(value = "涂装--烘干室温度", description = "烘干室监控数据表")
@Table(name = "eqp_data_drying_room_temp")
public class DryingRoomTempMachine extends EquipmentData {

    @Column(name = "eqp_code")
    @ApiModelProperty(notes = "设备编号")
    private String equipCode;

    @Column(name = "temperature")
    @ApiModelProperty(notes = "温度")
    private Float temperature;


    @ApiModelProperty("采集时间")
    @Column(name = "create_time")
    private Date createTime;

    private Integer status;

}
