package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "报警信息")
public class Warning {

    private Long id;

    @ApiModelProperty(value = "报警信息描述")
    private String info;

    @ApiModelProperty(value = "警告名")
    private String name;

    @ApiModelProperty(value = "时间(前端用)")
    private String time;

    @ApiModelProperty(value = "设备名")
    private String equipName;

    @ApiModelProperty(value = "创建时间",hidden = true)
    private Date createTime;
}
