package net.vtstar.zhongtong.avi.report.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("效率趋势vo")
public class TrendVO {

    @ApiModelProperty("x轴文字显示")
    private String date;

    @ApiModelProperty("y轴百分比")
    private BigDecimal percent;

    @ApiModelProperty("运行状态百分比")
    private BigDecimal runStatePercent;

    @ApiModelProperty("故障状态百分比")
    private BigDecimal errorStatePercent;

    @ApiModelProperty("待机状态百分比")
    private BigDecimal loadStatePercent;
}
