/*
 * DailyCheckModel.java
 * Copyright(C) 山东万腾科技
 * All rights reserved.
 */
package net.vtstar.zhongtong.avi.laboratory.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@ApiModel(value = "涂装日常检测模板表")
@Data
@Table(name = "daily_check_model")
public class DailyCheckModel{

    @Id
    private Long id;

    @Column(name = "type")
    @ApiModelProperty(notes = "类型(酸洗/电泳槽/前处理)")
    private String type;

    @Column(name = "order_num")
    @ApiModelProperty(notes = "序号")
    private Integer orderNum;

    @Column(name = "rev")
    @ApiModelProperty(notes = "版本状态")
    private String rev;

    @Column(name = "sheet_no")
    @ApiModelProperty(notes = "记录编号")
    private String sheetNo;

    @Column(name = "no")
    @ApiModelProperty(notes = "流水号")
    private String no;

    @Column(name = "remarks")
    @ApiModelProperty(notes = "备注")
    private String remarks;

    @Column(name = "create_time")
    private Date createTime;

    private String createBy;
}