package net.vtstar.zhongtong.avi.ledlamp.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.zhongtong.avi.monitoring.domain.enums.StationState;

import java.math.BigDecimal;

@ApiModel("喷漆室信息")
@Data
public class RoomInfo {

    private Long id;

    @ApiModelProperty(value = "房间名")
    private String name;

    @ApiModelProperty(value = "状态")
    private StationState stationState;

    @ApiModelProperty(value = "作业时间")
    private BigDecimal workingHours;
}
