package net.vtstar.zhongtong.avi.ledlamp.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.zhongtong.avi.ledlamp.domain.RoomInfo;
import net.vtstar.zhongtong.avi.monitoring.domain.Warning;

import java.math.BigDecimal;
import java.util.List;

@Data
@ApiModel("led工位级屏幕展示信息")
public class LedStationVO {

    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "大屏显示名字")
    private String name;

    @ApiModelProperty(value = "进车数")
    private BigDecimal busIn;

    @ApiModelProperty(value = "出车数")
    private BigDecimal busOut;

    @ApiModelProperty(value = "报警信息")
    private List<Warning> warningList;

    @ApiModelProperty(value = "室内信息")
    private List<RoomInfo> roomInfoList;
}
