package net.vtstar.zhongtong.avi.monitoring.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.vtstar.zhongtong.avi.monitoring.domain.enums.ProductionType;

import javax.persistence.Column;
import javax.persistence.Table;

@Data
@ApiModel("滑撬")
@Table(name = "skid")
public class Skid {

    @Column(name = "id")
    private Long id;

    @Column(name = "rfid")
    @ApiModelProperty(notes = "滑撬rfid")
    private String rfid;

    @Column(name = "State")
    @ApiModelProperty(notes = "状态：1上车 0下车")
    private Integer State;

    @ApiModelProperty(notes = "绑定车身号")
    private String busNo;

    @ApiModelProperty(value = "车体类型")
    private ProductionType busType;

    private String ID;

}
