package net.vtstar.zhongtong.avi.monitoring.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("led大屏 voc前端显示数据")
public class VocVO {

    @ApiModelProperty(notes = "南进口VOC浓度")
    private BigDecimal southCONC;

    @ApiModelProperty(notes = "南进口VOC浓度")
    private BigDecimal northCONC;

    @ApiModelProperty(notes = "出口VOC浓度")
    private BigDecimal exitCONC;
}
